For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cards

Stored and saved card management

List saved cards

get
Authorizations
CookiestringRequired

Session cookie (e.g., sessionid=abc123)

Header parameters
CookiestringRequired

Session cookie header (e.g. sessionid=abc123)

Responses
200

Saved cards listed

application/json

Saved card resource returned by saved-cards endpoints. Fields mirror omnishop.payments.models.SavedCard.

pkintegerRequired

Saved card identifier

namestring · nullableOptional

User-defined card label

Example: Personal Visa
tokenstringRequired

Gateway token for the saved card (opaque)

userintegerRequired

Owner user ID

masked_card_numberstringRequired

Masked PAN (e.g., **** **** **** 1234)

Example: **** **** **** 1234
posinteger · nullableOptional

POS identifier associated with the card

created_datestring · date-timeOptional

Creation timestamp

modified_datestring · date-timeOptional

Last update timestamp

get/users/saved-cards/
GET /users/saved-cards/ HTTP/1.1
Host: sandbox.akinon.com
Cookie: text
Accept: */*
[
  {
    "pk": 1,
    "name": "Personal Visa",
    "token": "text",
    "user": 1,
    "masked_card_number": "**** **** **** 1234",
    "pos": null,
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  }
]

Retrieve saved card

get
Authorizations
CookiestringRequired

Session cookie (e.g., sessionid=abc123)

Path parameters
pkintegerRequired
Header parameters
CookiestringRequired

Session cookie header (e.g. sessionid=abc123)

Responses
200

Saved card retrieved

application/json

Saved card resource returned by saved-cards endpoints. Fields mirror omnishop.payments.models.SavedCard.

pkintegerRequired

Saved card identifier

namestring · nullableOptional

User-defined card label

Example: Personal Visa
tokenstringRequired

Gateway token for the saved card (opaque)

userintegerRequired

Owner user ID

masked_card_numberstringRequired

Masked PAN (e.g., **** **** **** 1234)

Example: **** **** **** 1234
posinteger · nullableOptional

POS identifier associated with the card

created_datestring · date-timeOptional

Creation timestamp

modified_datestring · date-timeOptional

Last update timestamp

get/users/saved-cards/{pk}/
GET /users/saved-cards/{pk}/ HTTP/1.1
Host: sandbox.akinon.com
Cookie: text
Accept: */*
{
  "pk": 1,
  "name": "Personal Visa",
  "token": "text",
  "user": 1,
  "masked_card_number": "**** **** **** 1234",
  "pos": null,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Delete saved card

delete
Authorizations
CookiestringRequired

Session cookie (e.g., sessionid=abc123)

Path parameters
pkintegerRequired
Header parameters
CookiestringRequired

Session cookie header (e.g. sessionid=abc123)

X-CSRFTokenstringRequired

CSRF token header for unsafe methods (POST/PUT/PATCH/DELETE)

Responses
204

Saved card deleted

No content

delete/users/saved-cards/{pk}/
DELETE /users/saved-cards/{pk}/ HTTP/1.1
Host: sandbox.akinon.com
Cookie: text
X-CSRFToken: text
Accept: */*

No content

Update saved card

patch
Authorizations
CookiestringRequired

Session cookie (e.g., sessionid=abc123)

Path parameters
pkintegerRequired
Header parameters
CookiestringRequired

Session cookie header (e.g. sessionid=abc123)

X-CSRFTokenstringRequired

CSRF token header for unsafe methods (POST/PUT/PATCH/DELETE)

Body

Fields allowed for saved card update

namestring · nullableOptional

User-defined card label

Responses
200

Saved card updated

application/json

Saved card resource returned by saved-cards endpoints. Fields mirror omnishop.payments.models.SavedCard.

pkintegerRequired

Saved card identifier

namestring · nullableOptional

User-defined card label

Example: Personal Visa
tokenstringRequired

Gateway token for the saved card (opaque)

userintegerRequired

Owner user ID

masked_card_numberstringRequired

Masked PAN (e.g., **** **** **** 1234)

Example: **** **** **** 1234
posinteger · nullableOptional

POS identifier associated with the card

created_datestring · date-timeOptional

Creation timestamp

modified_datestring · date-timeOptional

Last update timestamp

patch/users/saved-cards/{pk}/
PATCH /users/saved-cards/{pk}/ HTTP/1.1
Host: sandbox.akinon.com
Cookie: text
X-CSRFToken: text
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "name": null
}
{
  "pk": 1,
  "name": "Personal Visa",
  "token": "text",
  "user": 1,
  "masked_card_number": "**** **** **** 1234",
  "pos": null,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List stored cards

get

Returns stored cards for the authenticated user.

Authorizations
CookiestringRequired

Session cookie (e.g., sessionid=abc123)

Header parameters
CookiestringRequired

Session cookie header (e.g. sessionid=abc123)

Responses
200

Stored cards listed

application/json
get/users/stored-cards/
GET /users/stored-cards/ HTTP/1.1
Host: sandbox.akinon.com
Cookie: text
Accept: */*
{
  "cards": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ]
}

Last updated

Was this helpful?